commoble.exmachina.plugins

## Class PluginLoader

- java.lang.Object
- - commoble.exmachina.plugins.PluginLoader

    public class PluginLoader
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PluginLoader()`

### Method Summary

All Methods Static Methods Concrete Methods

`static CircuitBehaviourRegistry`

`loadPlugins()`
Instantiate one instance of all classes that are A) annotated with `AutoPlugin`, and B) implementing `Plugin` and then allow the instances to register circuit behaviors This is heavily based on Just Enough Item's plugin loader: https://github.com/mezz/JustEnoughItems/blob/1.16/src/main/java/mezz/jei/util/AnnotatedInstanceUtil.java Just Enough Items is Copyright (c) 2014-2015 mezz and licensed under the MIT license https://github.com/mezz/JustEnoughItems/blob/1.16/LICENSE.txt

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginLoader

    public PluginLoader()

### Method Detail

#### loadPlugins

    public static CircuitBehaviourRegistry loadPlugins()

Instantiate one instance of all classes that are A) annotated with `AutoPlugin`, and B) implementing `Plugin` and then allow the instances to register circuit behaviors This is heavily based on Just Enough Item's plugin loader: https://github.com/mezz/JustEnoughItems/blob/1.16/src/main/java/mezz/jei/util/AnnotatedInstanceUtil.java Just Enough Items is Copyright (c) 2014-2015 mezz and licensed under the MIT license https://github.com/mezz/JustEnoughItems/blob/1.16/LICENSE.txt

Returns:
  the registry, after all plugins register their things into it